import 'package:flutter/material.dart';

import 'package:pweb/widgets/hspacer.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';


class SupportLabel extends StatelessWidget {
  const SupportLabel({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    final theme = Theme.of(context).textTheme;
    final localizations = AppLocalizations.of(context)!;
    return Row(
      children: [
        Row(
          children: [
            Text(
              '${localizations.footerSupport}: ',
              style: theme.labelSmall,
            ),
            GestureDetector(
              onTap: () {
                // Add your email handling logic here
              },
              child: Text(
                localizations.footerEmail, // Localized email
                style: theme.labelSmall?.copyWith(
                  color: Theme.of(context).colorScheme.primary,
                  decoration: TextDecoration.underline,
                ),
              ),
            ),
            const HSpacer(multiplier: 0.25),
            const Text('|'),
            const HSpacer(multiplier: 0.25),
            Text(
              '${localizations.footerPhoneLabel}: ${localizations.footerPhone}', // Localized phone
              style: theme.labelSmall,
            ),
          ],
        ),
      ],
    );
  }
}